Qt 不再使用 LGPLv2.1 授权 - 开源中国社区
Qt 不再使用 LGPLv2.1 授权
oschina 2016年01月15日

Qt 不再使用 LGPLv2.1 授权

oschina oschina 发布于2016年01月15日 收藏 7 评论 28

有免费的MySQL,为什么还要买? >>>  

Qt公司宣布改变Qt跨平台应用开发框架的许可证授权。新版的Qt将在一个商业许可证、GPLv2、GPLv3和LGPLv3下授权,不再使用LGPLv2.1授权。Qt公司称,更新的开源许可证将能在用户使用开源版的Qt时确保用户自由,LGPLv3明确禁止封闭嵌入式设备分发LGPLv3授权的软件,在LGPLv3下分发的软件还向所有软件的接收者给予了专利许可。

via Solidot

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 开源中国社区 [http://www.oschina.net]
本文标题:Qt 不再使用 LGPLv2.1 授权
分享
评论(28)
最新评论
0

引用来自“figer1”的评论

windows上还是aardio 小,体积小,开发快,没这么多限制。

引用来自“eechen”的评论

但是不跨平台.而Qt不仅SDK连Qt Creator都是跨平台的应用.

引用来自“HYUO”的评论

呵呵呵,很多成熟且强大的商业软件不跨平台特别是不跨Linux。
据说支付宝不支持Windows Phone,好惨呀。
0

引用来自“figer1”的评论

windows上还是aardio 小,体积小,开发快,没这么多限制。

引用来自“eechen”的评论

但是不跨平台.而Qt不仅SDK连Qt Creator都是跨平台的应用.
呵呵呵,很多成熟且强大的商业软件不跨平台特别是不跨Linux。
0

引用来自“figer1”的评论

windows上还是aardio 小,体积小,开发快,没这么多限制。
但是不跨平台.而Qt不仅SDK连Qt Creator都是跨平台的应用.
0
@想不到 而且人家这个变动仅仅是升级LGPL协议,修复旧版LGPL的授权漏洞,保护Qt按照LGPL本意开源.而且Qt一直提供有不受LGPL和GPL限制的商业授权.
0
@想不到 Qt不仅仅是开源产品,从一出生Qt就是一个商业产品,人家有权改协议,你也有权根据协议自己fork一个分支,这就是商业开源,像Redhat和CentOS,MySQL和MariaDB/Percona.
0

引用来自“想不到”的评论

协议能随便改让人好害怕

引用来自“eechen”的评论

从LGPLv2.1升级到FSF制定的新版LGPLv3,有什么问题,都是LGPL,新版LGPL能修复旧版的一些漏洞,免得有些人钻LGPL的空子.
关键是谁有这个权力,现在可以改好,以后可以改坏。作为用户,是不希望现在的投入建立在不可预知的未来
0
Hello World
0
windows上还是aardio 小,体积小,开发快,没这么多限制。
0
用了golang就不想转回去了,在诺基亚手里面还觉得QT很好呐。
0
Hello World
0
净整这些没用的
0
敢用 BSD 协议吗?
0

引用来自“想不到”的评论

协议能随便改让人好害怕
从LGPLv2.1升级到FSF制定的新版LGPLv3,有什么问题,都是LGPL,新版LGPL能修复旧版的一些漏洞,免得有些人钻LGPL的空子.
0

引用来自“大洋的顶端”的评论

明确禁止封闭嵌入式设备分发LGPLv3授权的软件

是禁止&&封闭 还是(禁止封闭) 歧义严重
我记得有一个GPL版本是禁止封闭的硬件使用,如果硬件作为产品,里面包含了这个协议的软件,需要像GPL一样,将其硬件开源出来的
0

引用来自“大洋的顶端”的评论

明确禁止封闭嵌入式设备分发LGPLv3授权的软件

是禁止&&封闭 还是(禁止封闭) 歧义严重
禁止 封闭的嵌入式设备
0
Qt要分裂了
0
协议能随便改让人好害怕
0
明确禁止封闭嵌入式设备分发LGPLv3授权的软件

是禁止&&封闭 还是(禁止封闭) 歧义严重
0
自由软件协议完胜,主要是自由开源,想植入个监控软件社区是不答应的,那才是对用户隐私权利的终级捍卫。。。购买商业软件无法获得权利
0
Qt越来越大,越臃肿,
顶部